shr.defineClass('shr.emp.PersonDegreeEditExt',shr.emp.PersonDegreeEdit , {
	
	
	
	initalizeDOM: function () {
		var _self = this;
		shr.emp.PersonDegreeEditExt.superClass.initalizeDOM.call(this);
	},
	
	verify: function() {
		var EFFDT = this.getFieldValue("enrollDate");
		var LEFFDT = this.getFieldValue("graduateDate");
		var effectDate = new Date(EFFDT);
		var lEffectDate = new Date(LEFFDT);
		if(effectDate.getTime()>lEffectDate.getTime()){
			shr.showInfo({message: jsBizMultLan.emp_personDegreeEdit_i18n_1});
			return false;
		}
		var now = new Date(); 
		if(now.getTime() < lEffectDate.getTime()){
			shr.showInfo({message: "The graduation time cannot be longer than the current time !"});
			return false;
		}
		return true;
	}
	
	
});
